(function() {
    "use strict";

    //= ../app/app/dist/whatsapp-chat.js

    document.addEventListener('appReady.EappsWhatsappChat', function() {
        var widgets = document.querySelectorAll('[data-elfsight-whatsapp-chat-options]');

        Array.prototype.slice.call(widgets).forEach(function(widget) {
            var version = widget.getAttribute('data-elfsight-whatsapp-chat-version');
            var options = widget.getAttribute('data-elfsight-whatsapp-chat-options');
            var data = JSON.parse(decodeURIComponent(options));

            window.eappsWhatsappChat(widget, data);

            widget.removeAttribute('data-elfsight-whatsapp-chat-options');
            widget.removeAttribute('data-elfsight-whatsapp-chat-version');

            widget.data = {
                options: data,
                version: version
            };
        });
    });
})();
